Deployments.ai Docs
Providers

List provider credentials

GET /v1/credentials · SDK listProviderCredentials · CLI deployments credential list

GET
/v1/credentials

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListProviderConnectionsResponse

application/json
  1. response
items*array<>
nextCursor*string|null
curl -X GET "https://example.com/v1/credentials" \  -H "x-deployments-environment: string"
{  "items": [    {      "authMethod": "string",      "createdAt": "2019-08-24T14:15:22Z",      "displayName": "string",      "externalAccountId": "string",      "externalAccountName": "string",      "hasCredential": true,      "id": "string",      "lastVerifiedAt": "2019-08-24T14:15:22Z",      "providerApplicationId": "string",      "providerKey": "string",      "refreshAfter": "2019-08-24T14:15:22Z",      "scopes": [        "string"      ],      "status": "string",      "updatedAt": "2019-08-24T14:15:22Z",      "version": 0    }  ],  "nextCursor": "string"}